al_remove_path_component(3)

NAME

al_remove_path_component - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_remove_path_component(ALLEGRO_PATH *path, int i)

DESCRIPTION

Delete the i'th directory component. If the index is negative then count from the right, i.e. -1 refers to the last path component. It is an error to pass an index which is out of bounds.

SEE ALSO

al_insert_path_component(3), al_replace_path_component(3), al_drop_path_tail(3)